# Type alias AsObject

AsObject: {
buyerSignature: Uint8Array | string;
counterCurrencyExtraData: string;
counterCurrencyTxId: string;
paymentAccountKey: Uint8Array | string;
payoutTxHex: string;
sellerAccountAgeWitness?: AccountAgeWitness.AsObject;
senderNodeAddress?: NodeAddress.AsObject;
tradeId: string;
uid: string;
updatedMultisigHex: string;
}

#### Type declaration

- ##### buyerSignature: Uint8Array | string

- ##### counterCurrencyExtraData: string

- ##### counterCurrencyTxId: string

- ##### paymentAccountKey: Uint8Array | string

- ##### payoutTxHex: string

- ##### `Optional` sellerAccountAgeWitness?: AccountAgeWitness.AsObject

- ##### `Optional` senderNodeAddress?: NodeAddress.AsObject

- ##### tradeId: string

- ##### uid: string

- ##### updatedMultisigHex: string

- Defined in src/protobuf/pb_pb.d.ts:1431

Generated using TypeDoc